
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "ezml/version"

Gem::Specification.new do |spec|
  spec.name          = "ezml"
  spec.version       = EZML::VERSION
  spec.authors       = ["Storm Burpee", "Jared Bowers"]
  spec.email         = ["storm@appflow.com.au", "jared@appflow.com.au"]

  spec.summary       = "An elegant, fast HTML templating engine."
  spec.description   = <<-END
EZML (EZ Markup Language) is an elegant and fast templating engine.
EZML is a layer built on top of HTML to dramatically reduce the time
taken to develop HTML projects. EZML Was developed as a internal tool
for AppFlow to develop their websites. Once we saw how much time was
reduced, we decided to provide this to the public.
END

  spec.homepage      = "https://ezml.appflow.com.au"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.executables = ['ezml']
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_dependency 'temple', '>= 0.8.0'
  spec.add_dependency 'tilt'

  spec.add_development_dependency 'rails', '>= 4.0.0'
  spec.add_development_dependency 'rbench'
  spec.add_development_dependency 'nokogiri'
end
